GCONFTOOL-2(1)

NAME
gconftool-2 - manual page for gconftool-2

SYNOPSIS
gconftool-2 [OPTION...]

DESCRIPTION

-s, --set
    Set a key to a value and sync. Use with --type.

-g, --get
    Print the value of a key to standard output.

-u, --unset
    Unset the keys on the command line.

--recursive-unset
    Recursively unset all keys at or below the key/directory names on the command line.

-a, --all-entries
    Print all key/value pairs in a directory.

--all-dirs
    Print all subdirectories in a directory.

-R, --recursive-list
    Print all subdirectories and entries under a dir, recursively.

--dir-exists=STRING
    Return 0 if the directory exists, 2 if it does not. -t, --type=int|bool|float|string|list|pair Specify the type of the value being set, or the type of the value a schema describes. Unique abbreviations are allowed.

--list-type=int|bool|float|string
    Specify the type of the list value being set, or the type of the value a schema describes. Unique abbreviations are allowed.

--car-type=int|bool|float|string
    Specify the type of the car pair value being set, or the type of the value a schema describes. Unique abbreviations are allowed.

--cdr-type=int|bool|float|string
    Specify the type of the cdr pair value being set, or the type of the value a schema describes. Unique abbreviations are allowed.

--short-desc=DESCRIPTION
    Specify a short half-line description to go in a schema.

--long-desc=DESCRIPTION
    Specify a several-line description to go in a schema.

--owner=OWNER
    Specify the owner of a schema.

--install-schema-file=FILENAME
    Specify a schema file to be installed

--config-source=SOURCE
    Specify a configuration source to use rather than the default path

--direct
    Access the config database directly, bypassing server. Requires that gconfd is not running.

--set-schema
    Set a schema and sync. Use with --short-desc, --long-desc, --owner, and --type.

--makefile-install-rule
    Properly installs schema files on the command line into the database. GCONF_CONFIG_SOURCE environment variable should be set to a non-default config source or set to the empty string to use the default.

--break-key
    Torture-test an application by setting and unsetting a bunch of values of different types for keys on the command line.

--break-directory
    Torture-test an application by setting and unsetting a bunch of keys inside the directories on the command line.

--short-docs
    Get the short doc string for a key

--long-docs
    Get the long doc string for a key

--get-schema-name
    Get the name of the schema applied to this key

--apply-schema
    Specify the schema name followed by the key to apply the schema name to

--unapply-schema
    Remove any schema name applied to the given keys

--get-default-source
    Get the name of the default source.

--shutdown
    Shut down gconfd. Don't use this option without good reason.

-p, --ping
    Return 0 if gconfd is running, 2 if not.

--spawn
    Launch the config server (gconfd). (Normally happens automatically when needed.)

-v, --version
    Print version

Help options

-?, --help
    Show the help message.

--usage
    Display brief usage message.

EXAMPLES
Display the path to the current desktop wallpaper.

    gconftool-2 --get /desktop/gnome/background/picture_filename

Change the widget font to "Serif 12"

    gconftool-2 --type string --set /desktop/gnome/interface/font_name "Serif 12"

AUTHOR
GConf was written by Havoc Pennington <hp@redhat.com>.

SEE ALSO
The GConf web site, http://www.gnome.org/projects/gconf/.